%global major   2
%define libname %mklibname ipt %major
%define devname %mklibname ipt -d

Name: libipt
Version: 2.1.2
Release: %mkrel 1
Summary: Intel Processor Trace Decoder Library
Group:	 Development/Tools
License: BSD
URL: https://github.com/intel/libipt
Source0: https://github.com/intel/libipt/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0: libipt-gcc11.patch
# c++ is required only for -DPTUNIT test "ptunit-cpp".
# pandoc is for -DMAN.
BuildRequires: gcc-c++ cmake
ExclusiveArch: %{ix86} x86_64

%description
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.


%package -n %devname
Summary: Header files and libraries for Intel Processor Trace Decoder Library
Requires: %{libname} = %{version}-%{release}
Provides: ipt-devel = %{version}-%{release}
Provides: libipt-devel = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains the header files and libraries needed to
develop programs that use the Intel Processor Trace (Intel PT) Decoder Library.

%package -n %libname
Summary: Intel Processor Trace Decoder Library
Group:	Development/C

%description -n %libname
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.

%prep
%autosetup -p1 -n libipt-%{version}

%build
%cmake \
       -DPTUNIT:BOOL=ON \
       -DMAN:BOOL=OFF \
       -DDEVBUILD:BOOL=ON
%cmake_build

%install
%cmake_install

%global develdocs howto_libipt.md
(cd doc;cp -p %{develdocs} ..)

%check
%ctest

%files -n %libname
%doc README
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %devname
%doc %{develdocs}
%{_includedir}/*
%{_libdir}/%{name}.so


%changelog
* Thu Jan 30 2025 daviddavid <daviddavid> 2.1.2-1.mga10
+ Revision: 2143530
- new version: 2.1.2

* Sat Apr 06 2024 wally <wally> 2.1.1-1.mga10
+ Revision: 2055217
- new version 2.1.1

* Thu Mar 17 2022 umeabot <umeabot> 2.0.5-2.mga9
+ Revision: 1796844
- Mageia 9 Mass Rebuild

* Fri Jan 28 2022 tv <tv> 2.0.5-1.mga9
+ Revision: 1770125
- v2.0.5

* Fri Mar 12 2021 tv <tv> 2.0.4-1.mga9
+ Revision: 1701780
- 2.0.4
- Fix uninitialized variable in testsuite

* Sun Aug 09 2020 tv <tv> 2.0.2-1.mga8
+ Revision: 1612181
- disable man pages as we don't have pandoc
- Upgrade to 2.0.2.

* Sun Feb 16 2020 umeabot <umeabot> 2.0.1-2.mga8
+ Revision: 1534483
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Oct 04 2019 tv <tv> 2.0.1-1.mga8
+ Revision: 1449182
- new release
- Enable tests (PTUNIT)

* Sun Sep 23 2018 umeabot <umeabot> 1.4.4-3.mga7
+ Revision: 1298925
- Mageia 7 Mass Rebuild

* Wed Apr 13 2016 tv <tv> 1.4.4-2.mga6
+ Revision: 1001157
- add major guard
- fix major

* Wed Apr 13 2016 tv <tv> 1.4.4-1.mga6
+ Revision: 1001089
- imported package libipt


* Wed Apr 13 2016 Thierry Vignaud <tv@mageia.org> 1.4.4-1.mga6
- import from FC

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Jan Kratochvil <jan.kratochvil@redhat.com> - 1.4.4-1
- Rebase to upstream 1.4.4.

* Wed Oct 14 2015 Jan Kratochvil <jan.kratochvil@redhat.com> - 1.4.3-1
- Rebase to upstream 1.4.3.

* Mon Aug 31 2015 Jan Kratochvil <jan.kratochvil@redhat.com> - 1.4.2-1
- Initial Fedora packaging.
